mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
* [ptxdist] [PATCH] bin/ptxdist: check_dirs_mkdir() utilize umask
@ 2012-01-26  9:29 Andreas Bießmann
  2012-01-26 15:18 ` Michael Olbrich
  2012-02-03 10:48 ` [ptxdist] [PATCH v2] bin/ptxdist: set umask globally Andreas Bießmann
  0 siblings, 2 replies; 6+ messages in thread
From: Andreas Bießmann @ 2012-01-26  9:29 UTC (permalink / raw)
  To: PTXdist list

In some cases the check_dirs_mkdir() function will create directories on the
way (parents) with insufficient rights. Therefore the chmod/chown later on
will fail due to missing rights.

This patch forces 'umask 0022' for creating the directories on the way and
additionally add the missing '-m755' switch to the 'sudo'-variant.

Signed-off-by: Andreas Bießmann <biessmann@corscience.de>
---
 bin/ptxdist |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/bin/ptxdist b/bin/ptxdist
index 52e9c76..74a5a23 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -398,7 +398,7 @@ check_dirs_mkdir() {
 
 	# create dir if not exiting
 	if [ ! -d "${dir}" ]; then
-		if ! mkdir -m755 -p -- "${dir}" 2> /dev/null; then
+		if ! (umask 0022 && mkdir -m755 -p -- "${dir}") 2> /dev/null; then
 			echo
 			echo "error: '${dir}'"
 			echo "	     does not exist and cannot be created!"
@@ -410,8 +410,8 @@ check_dirs_mkdir() {
 				exit 1
 			fi
 			echo
-			echo sudo mkdir -p "${dir}"
-			sudo mkdir -p "${dir}"
+			echo "umask 0022 && sudo mkdir -m755 -p \"${dir}\""
+			(umask 0022 && sudo mkdir -m755 -p "${dir}")
 			echo sudo chown "${UID}" "${dir}"
 			sudo chown "${UID}" "${dir}"
 		fi
-- 
1.7.8.3


-- 
ptxdist mailing list
ptxdist@pengutronix.de

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2012-02-07 13:36 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2012-01-26  9:29 [ptxdist] [PATCH] bin/ptxdist: check_dirs_mkdir() utilize umask Andreas Bießmann
2012-01-26 15:18 ` Michael Olbrich
2012-01-26 16:08   ` Andreas Bießmann
2012-02-03 10:48 ` [ptxdist] [PATCH v2] bin/ptxdist: set umask globally Andreas Bießmann
2012-02-07 13:22   ` Michael Olbrich
2012-02-07 13:36     ` Michael Olbrich

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox